From 2f40fc93e6b305d45889b13a0e74823419da1c41 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:24:40 +0000
Subject: [PATCH 816/2232] Include manifest dir


---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 8fe86ae..9d922ed 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -19,6 +19,9 @@ pub(crate) fn out_dir() -> Result<PathBuf> {
 pub(crate) fn cc_build(prj: &Project) -> cc::Build {
     let mut build = cc::Build::new();
     build.include(include_dir(prj));
+    if let Some(manifest_dir) = env::var_os("CARGO_MANIFEST_DIR") {
+        build.include(manifest_dir);
+    }
     build
 }
 

